body {
    /*margin: 15px 15px 15px 15px;*/
    margin: 5px 0px;
    color: #595959;
    background: #f5f7f9
}

body, table, html, div, dl, dt, dd, ul, ol, li, h1, h2, h3, h4, h5, h6, pre, code, form, fieldset, legend, input, button, textarea, p, blockquote, th, td, input, button, textarea, select {
    font-size: 12px;
}

/*头部线条背景定位*/

body .topLineFixed {
    width: 100%;
    position: fixed;
    height: 5px;
    left: 0;
    top: 0;
    background: #eee;
    z-index: 999999
}

.fl {
    float: left;
}

.fr {
    float: right;
}

.t-c {
    text-align: center;
}

.t-l {
    text-align: left;
}

.t-r {
    text-align: right;
}

.pos-a {
    position: absolute;
}

.pos-f {
    position: fixed;
}

.pos-r {
    position: relative;
}

.clearfix {
    *zoom: 1;
}

.clearfix::after {
    content: "";
    display: block;
    height: 0;
    clear: both;
    visibility: hidden;
}

.layui-table td, .layui-table th {
    font-size: 12px;
}

.layui-form-label {
    padding: 9px 5px;
    width: 100px;
}

.layui-btn {
    font-size: 12px;
}

.layui-btn-sm {
    margin-top: 0px
}

.layui-table, .layui-table-view {
    margin: 3px 0;
}

.phcolor {
    color: #e2e2e2;
}

input::-webkit-input-placeholder, textarea::-webkit-input-placeholder {
    color: #e2e2e2;
}

input::placeholder, textarea::placeholder {
    color: #e2e2e2;
}

input::-moz-placeholder, textarea::-moz-placeholder {
    color: #e2e2e2;
}

input::-ms-input-placeholder, textarea::-ms-input-placeholder {
    color: #e2e2e2;
}

input:-ms-input-placeholder {
    color: #e2e2e2;
}

input:-ms-input-placeholder {
    color: #e2e2e2;
}

body input, textarea {
    color: #777
}

body .layui-form-radio > i, body .layui-form-checkbox > i {
    font-size: 20px;
    margin-right: 4px;
}


.layui-form-select dl {
    top: 38px;
}

.layui-form-selectup dl {
    top: auto;
    bottom: 38px
}

/*!**自定义滚动条样式 *!*/
/*::-webkit-scrollbar {*/
/*    width: 10px;*/
/*    height: 10px;*/
/*    background: transparent*/
/*}*/

/*::-webkit-scrollbar-track {*/
/*    background-color: transparent;*/
/*    -webkit-border-radius: 2em;*/
/*    -moz-border-radius: 2em;*/
/*    border-radius: 2em;*/
/*}*/

/*::-webkit-scrollbar-thumb {*/
/*    background-color: #9c9da0;*/
/*    -webkit-border-radius: 2em;*/
/*    -moz-border-radius: 2em;*/
/*    border-radius: 2em*/
/*}*/

/*::-webkit-scrollbar-track {*/
/*    background: transparent*/
/*}*/

/*::-webkit-scrollbar-thumb {*/
/*    border-radius: 5px;*/
/*    background-color: #c1c1c1*/
/*}*/

/*::-webkit-scrollbar-thumb:hover {*/
/*    background-color: #a8a8a8*/
/*}*/

/*.mini-bar::-webkit-scrollbar {*/
/*    width: 6px;*/
/*    height: 6px*/
/*}*/

/*.mini-bar::-webkit-scrollbar-thumb {*/
/*    border-radius: 3px*/
/*}*/

@media screen and (max-width: 768px) {
    ::-webkit-scrollbar {
        width: 4px;
        height: 4px
    }

    ::-webkit-scrollbar-thumb {
        border-radius: 0
    }
}

/*重新设置layer弹出层风格*/
.layui-layer-page {
    margin-bottom: 5px;
    border: 6px solid #7D7D7D;
    /*border: 6px solid #000000;*/
    /*z-index: 222222222222;*/
    /*opacity: 0.3;*/
    /*filter: alpha(opacity=30);*/
    border-radius: 5px;
}

.layui-layer-page .layui-form-item {

    box-shadow: none;
}

.layui-layer-page .text-right {
    text-align: right;
    margin-top: 8px !important;
}

.layui-layer-page .layui-btn {
    /*display: inline-block;*/
    height: 30px;
    line-height: 30px;
    /*    padding: 0 20px;*/
    color: #fefefe;
    white-space: nowrap;
    text-align: center;
    border-radius: 2px;
    cursor: pointer;
    /*box-shadow: 0 1px 1px #a4a6a6;*/
}


.layui-btn-blue {
    background-color: #3c8dbc;
    border: none;
    color: #fefefe !important;
}

.layui-btn-blue:hover {
    background-color: #3c8dbc;
    border: none;
    color: #fefefe !important;
}


.layui-badge-green {
    color: #52c41a;
    background: #f6ffed;
    border: 1px solid #b7eb8f
}

.layui-badge-blue {
    color: #1890ff;
    background: #e6f7ff;
    border: 1px solid #91d5ff
}

.layui-badge-red {
    color: #f5222d;
    background: #fff1f0;
    border: 1px solid #ffa39e
}

.layui-badge-yellow {
    color: #faad14;
    background: #fffbe6;
    border: 1px solid #ffe58f
}

.layui-badge-gray {
    color: #8c8c8c;
    background: #fafafa;
    border: 1px solid #ccc
}

.layui-badge {
    height: 20px;
    line-height: 19px;
    box-sizing: border-box
}

.layui-badge-list .layui-badge {
    height: 23px;
    line-height: 22px;
    margin: 0 6px 8px 0
}

.layui-badge-list .layui-badge.layui-bg-gray {
    border: 1px solid #ccc;
    background-color: #fafafa !important
}

.layui-table-view .layui-table td {
    padding: 1px 0;
}

.layui-table-view .layui-table th {
    padding: 1px 0;
}

.layui-table-tool {
    padding: 4px 15px;
    min-height: 40px;
}

.layui-table-tool .layui-table-tool-self {
    top: 4px;
}


.layui-form-item {
    margin-bottom: 3px;
}

.layui-form-item .layui-inline {
    margin-right: 0px;
    margin-bottom: 3px;
}

/*.layui-form-pane .layui-form-label{padding: 5px 15px;height: 32px;}*/
/*.layui-form-pane .layui-form-label select{height: 30px;}*/


.layui-form-item .layui-input-inline {
    /*width: 172px;*/
    width: 156px;
    margin-right: 6px;
}

.layuimini-container {
    border: 1px solid #f2f2f2;
    border-radius: 5px;
    background-color: #ffffff;
    color: #666
}

.layuimini-main {
    margin: 8px 6px 0 6px;
}

.layuimini-main .th_text {
    width: 85px;
}

.layuimini-main .th_val_four_lines {
    min-width: 140px;
}

.layuimini-main .th_val_five_lines {
    min-width: 120px;
}

.layuimini-main .th_val_six_lines {
    min-width: 90px;
}

/*双单元格*/
.layui-fluid .layui-right-body .layui-table .double_unit_td {
    padding-right: 0px;
}

.layui-table .double_unit_con {
    display: inline-block;
    height: 36px;
    line-height: 36px;
}

.layui-table .double_unit_fixed {
    display: inline-block;
    width: 74px;
    height: 36px;
    line-height: 36px;
    border-left: 1px solid #e6e6e6;
    text-align: center;
    float: right;

}


/**必填红点 */
.layuimini-form > .layui-form-item > .required:after {
    content: '*';
    color: red;
    position: absolute;
    margin-left: 4px;
    font-weight: bold;
    line-height: 1.8em;
    top: 6px;
    right: 5px;
}

.layuimini-form > .layui-form-item > .layui-form-label {
    width: 120px !important;
}

.layuimini-form > .layui-form-item > .layui-input-block {
    margin-left: 150px !important;
}

.layuimini-form > .layui-form-item > .layui-input-block > tip {
    display: inline-block;
    margin-top: 10px;
    line-height: 10px;
    font-size: 10px;
    color: #a29c9c;
}

/**搜索框*/
.layuimini-container .table-search-fieldset {
    margin: 0;
    border: 1px solid #e6e6e6;
    padding: 10px 20px 5px 20px;
    color: #6b6b6b;
}


/*------------------------------------------------------------------------------------------------------------------*/
.formSearch .layui-form-label {
    padding: 5px 15px;
    height: 30px;
    line-height: 20px;
}

.formSearch .layui-input, .formSearch .layui-select {
    height: 30px;
}

.formSearch .layui-form-select dl {
    top: 33px;
}

.formSearch .searchInput .th_text {
    text-align: right;
    width: 75px;
    white-space: nowrap;
}

.formSearch .searchInput td:not(.th_text) {
    min-width: 100px;
    max-width: 100px;
}

.formSearch .searchInput .layui-input, .formSearch .searchInput .layui-select {
    height: 28px;
}

.formSearch .searchInput td {
    padding: 2px 5px;
}

.formSearch .searchInput tbody tr:hover {
    background: none;
}

.formSearch .searchInput .fixedTd {
    width: 190px;
    min-width: 190px !important;
    max-width: 190px !important;
}

.layui-form .barTitle {
    margin-right: 60px;
    font-size: 14px;
    color: #666666;
    font-weight: bold;
    display: inline-block;
}

/*checkbox属性*/
.layui-checkbox-disabled[lay-skin=primary] i {
    border-color: #e6e6e6 !important;
    background-color: #fff
}

.layui-radio-disbaled[lay-skin=primary] i {
    border-color: #e6e6e6 !important;
    background-color: #fff
}

/*------------------------------------------------------------------------------------------------------------------*/
/*表格自定义样式*/
/*头部中间内容靠右*/
.layui-center-right .layui-table-box .layui-table-header .layui-table tr th {
    text-align: center;
}

.layui-center-right .layui-table-box .layui-table-body .layui-table tr td {
    text-align: right;
}

/*头部中间内容靠左*/
.layui-center-left .layui-table-box .layui-table-header .layui-table tr th {
    text-align: center;
}

.layui-center-left .layui-table-box .layui-table-body .layui-table tr td {
    text-align: left;
}

/*头部中间内容靠中间*/
.layui-center-center .layui-table-box .layui-table-header .layui-table tr th {
    text-align: center;
}

.layui-center-center .layui-table-box .layui-table-body .layui-table tr td {
    text-align: center;
}

.layui-table-cell {
    height: 28px;
    line-height: 28px;
    padding: 0 5px;
    position: relative;
    box-sizing: border-box;
}

/* 树形组件虚线居中对齐 */
.layui-tree-iconClick {
    margin: 0 11px;
}

/* flex兼容开始 */
.flex {
    display: box; /* OLD - Android 4.4- */
    display: -webkit-box; /* OLD - iOS 6-, Safari 3.1-6 */
    display: -moz-box; /* OLD - Firefox 19- (buggy but mostly works) */
    display: -ms-flexbox; /* TWEENER - IE 10 */
    display: -webkit-flex; /* NEW - Chrome */
    display: flex; /* NEW, Spec - Opera 12.1, Firefox 20+ */
    /* 09版 */
    -webkit-box-orient: horizontal;
    /* 12版 */
    -webkit-flex-direction: row;
    -moz-flex-direction: row;
    -ms-flex-direction: row;
    -o-flex-direction: row;
    flex-direction: row;
}

.flex-row-reverse {
    display: box; /* OLD - Android 4.4- */
    display: -webkit-box; /* OLD - iOS 6-, Safari 3.1-6 */
    display: -moz-box; /* OLD - Firefox 19- (buggy but mostly works) */
    display: -ms-flexbox; /* TWEENER - IE 10 */
    display: -webkit-flex; /* NEW - Chrome */
    display: flex; /* NEW, Spec - Opera 12.1, Firefox 20+ */
    /* 12版 */
    -webkit-flex-direction: row-reverse;
    -moz-flex-direction: row-reverse;
    -ms-flex-direction: row-reverse;
    -o-flex-direction: row-reverse;
    flex-direction: row-reverse;
}

.flex-v {
    display: box; /* OLD - Android 4.4- */
    display: -webkit-box; /* OLD - iOS 6-, Safari 3.1-6 */
    display: -moz-box; /* OLD - Firefox 19- (buggy but mostly works) */
    display: -ms-flexbox; /* TWEENER - IE 10 */
    display: -webkit-flex; /* NEW - Chrome */
    display: flex; /* NEW, Spec - Opera 12.1, Firefox 20+ */
    /* 09版 */
    -webkit-box-orient: vertical;
    /* 12版 */
    -webkit-flex-direction: column;
    -moz-flex-direction: column;
    -ms-flex-direction: column;
    -o-flex-direction: column;
    flex-direction: column;
}

.flex-wrap {
    /* 09版 */
    /*-webkit-box-lines: multiple;*/
    /* 12版 */
    -webkit-flex-wrap: wrap;
    -moz-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    -o-flex-wrap: wrap;
    flex-wrap: wrap;
}

.flex-x-center {
    /* 09版 */
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    /* 12版 */
    -webkit-justify-content: center;
    -moz-justify-content: center;
    -ms-justify-content: center;
    -o-justify-content: center;
    justify-content: center;
    /* 其它取值如下：
        align-items     主轴原点方向对齐
        flex-end        主轴延伸方向对齐
        space-between   等间距排列，首尾不留白
        space-around    等间距排列，首尾留白
     */
}

.flex-x-sb {
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    /* 12版 */
    -webkit-justify-content: space-between;
    -moz-justify-content: space-between;
    -ms-justify-content: space-between;
    -o-justify-content: space-between;
    justify-content: space-between;
}

.flex-x-end {
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    /* 12版 */
    -webkit-justify-content: flex-end;
    -moz-justify-content: flex-end;
    -ms-justify-content: flex-end;
    -o-justify-content: flex-end;
    justify-content: flex-end;
}

.flex-x-sa {
    /* 12版 */
    -webkit-justify-content: space-around;
    -moz-justify-content: space-around;
    -ms-justify-content: space-around;
    -o-justify-content: space-around;
    justify-content: space-around;
}

.flex-y-start {
    -webkit-box-align: end;
    -ms-flex-align: end;
    /* 12版 */
    -webkit-align-items: flex-start;
    -moz-align-items: flex-start;
    -ms-align-items: flex-start;
    -o-align-items: flex-start;
    align-items: flex-start;
}

.flex-y-center {
    /* 09版 */
    -webkit-box-align: center;
    -ms-flex-align: center;
    /* 12版 */
    -webkit-align-items: center;
    -moz-align-items: center;
    -ms-align-items: center;
    -o-align-items: center;
    align-items: center;
}

.flex-y-end {
    -webkit-box-align: end;
    -ms-flex-align: end;
    /* 12版 */
    -webkit-align-items: flex-end;
    -moz-align-items: flex-end;
    -ms-align-items: flex-end;
    -o-align-items: flex-end;
    align-items: flex-end;
}

.flex1 {
    -webkit-box-flex: 1; /* OLD - iOS 6-, Safari 3.1-6 */
    -moz-box-flex: 1; /* OLD - Firefox 19- */
    width: 20%; /* For old syntax, otherwise collapses. */
    -webkit-flex: 1; /* Chrome */
    -ms-flex: 1; /* IE 10 */
    flex: 1; /* NEW, Spec - Opera 12.1, Firefox 20+ */
}

.flex2 {
    -webkit-box-flex: 2; /* OLD - iOS 6-, Safari 3.1-6 */
    -moz-box-flex: 2; /* OLD - Firefox 19- */
    width: 40%; /* For old syntax, otherwise collapses. */
    -webkit-flex: 2; /* Chrome */
    -ms-flex: 2; /* IE 10 */
    flex: 2; /* NEW, Spec - Opera 12.1, Firefox 20+ */
}

.flex-ac-start {
    /* 12版 */
    -webkit-align-content: flex-start;
    -moz-align-content: flex-start;
    -ms-align-content: flex-start;
    -o-align-content: flex-start;
    align-content: flex-start;
}

.flex-ac-sb {
    /* 12版 */
    -webkit-align-content: space-between;
    -moz-align-content: space-between;
    -ms-align-content: space-between;
    -o-align-content: space-between;
    align-content: space-between;
}

/* flex兼容结束 */


/* 小屏幕下的样式 */
@media screen and (max-width: 1250px) {
    [data-theme="w-1300"] {
        min-width: 1300px;
    }

    [data-theme="w-1400"] {
        min-width: 1400px;
    }

    [data-theme="w-1500"] {
        min-width: 1500px;
    }

    [data-theme="w-1600"] {
        min-width: 1600px;
    }

    [data-theme="w-1700"] {
        min-width: 1700px;
    }

    [data-theme="w-1800"] {
        min-width: 1800px;
    }

    [data-theme="w-1900"] {
        min-width: 1900px;
    }

    [data-theme="w-2000"] {
        min-width: 2000px;
    }

    [data-theme="w-2100"] {
        min-width: 2100px;
    }
}

.name_hover {
    color: #3C8DBC;
}
